
@font-face{
    font-family: "CaviarDream";
    src: url("res/fonts/CaviarDreams.ttf");
}
@font-face{
    font-family: "CaviarDreamBold";
    src: url("res/fonts/CaviarDreams_Bold.ttf");
}
@font-face{
    font-family: "MadeleinaSans";
    src: url("res/fonts/MadeleinaSans.otf");
}
@font-face{
    font-family: "CodeBold";
    src: url("res/fonts/CodeBold.otf");
}
@font-face{
    font-family: "CodeLight";
    src: url("res/fonts/CodeLight.otf");
}

  
body {
    --light-green-logo: #cbf6c9;
    --green-logo: #00773d;
    --dark-green-logo: #002e23;
    --gold-logo: #c8bd23;
}

body{
    margin: 0;
    padding: 20px 0 0;
    background-color: #EEE;
    color: var(--green-logo);
    border-top: 5px solid var(--green-logo);
    font-family: "CodeBold";
    color: #333;
    font-size: 100%;
}

h1{
    text-align: center;
    color: var(--green-logo);
    font-size: 2.5em;
}
h1, h2, h3, h4{
    font-family: "CaviarDreamBold";
}
button, input {
    font-family: "CodeBold";
}



/***** LAST OR NEXT MATCH *****/
#lastNextMatchBloc {
    display: inline-block;
    width: 20%;
    margin: 0 5%;
    vertical-align: top;
}
#lastMatch {
    margin-bottom: 50px;
}
.lastNextMatch h2 {
    text-align: center;
    font-size: 1.5em;
}
.lastNextMatch .matchBloc {
    background: #F5F5F5;
    border: 1px solid #CCC;
    padding: 20px;
}
.lastNextMatch .matchName, .lastNextMatch .matchMoment {
    display: inline-block;
    vertical-align: middle;
}
.lastNextMatch .matchName {
    width: 75%;
}
.lastNextMatch .matchMoment {
    width: 25%;
    text-align: center;
}



/*** ADD EVENT BUTTONS ***/
#addEvent{
    display: none;
}
#main.admin #addEvent{
    display: block;
}
#addEvent button{
    display: inline-block;
    border: 1px dashed;
    width: 20%;
    margin: 0;
    padding: 20px 0;
    text-align: center;
    border-radius: 0;
    transition: 0.15s filter;
}
#addEvent button:hover{
    cursor: pointer;
    filter: brightness(0.8);
}
button.entrainement{
    background-color: var(--light-green-logo);
    color: var(--green-logo);
    border-color: var(--green-logo);
}
button.championnat{
    background-color: #fdbdbd;
    color: #ca0303;
    border-color: #ca0303;
}
button.amical{
    background-color: #ffffaa;
    color: #969600;
    border-color: #969600;
}
button.coupe{
    background-color: #ffdb9a;
    color: #734a00;
    border-color: #734a00;
}
button.autre{
    background-color: #c4e9ff;
    color: #003656;
    border-color: #003656;
}



#mainPanel {
    display: inline-block;
    width: 40%;
}
#mainPanel h2 {
    display: inline-block;
    margin: 10px 20px 10px 0;
    padding: 5px 0;
    vertical-align: middle;
    font-size: 1.4em;
    color: #777;
    font-weight: normal;
    transition: 0.2s;
}
#mainPanel h2:hover {
    font-size: 1.5em;
    cursor: pointer;
}
#mainPanel h2.selected {
    border-top: 5px solid var(--green-logo);
    font-size: 1.5em;
    color: var(--green-logo);
    font-weight: bold;
}



/***** CALENDAR *****/
#calendar {
	position: relative;
}
#eventList {
    color: #333;
}
#eventList .event{
    padding: 20px;
    margin: 10px 0 0 0;
    border: 1px solid #CCC;
    position: relative;
    background-color: #F5F5F5;
    transition: background-color 0.2s;
}
#eventList .event.pastEvent:hover{
    background-color: #DDD;
    cursor: pointer;
}
#eventList .event.coupe, #eventList .event.amical, #eventList .event.championnat{
    text-align: center;
}
#eventList .event:before{
    content: '';
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 10px;
    height: 100%;
}

#eventList .event .eventIcon{
    position: relative;
    width: 20px;
    transition: 0.2s width, 0.2s top;
    top: -2px;
    margin-right: 5px;
    float: left;
}
#eventList .event .date, #eventList .event .time, #eventList .event .deleteIcon, #eventList .event .editIcon{
    float: right;
}
#eventList .event .time, #eventList .event .deleteIcon, #eventList .event .editIcon{
    margin-left: 5px;
}
#eventList .event .deleteIcon, #eventList .event .editIcon{
    position: relative;
    top: -2px;
    width: 20px;
    transition: 0.2s width, 0.2s top;
}
#eventList .event .editIcon {
    display: none;
}
#main.admin #eventList .event .editIcon {
    display: block;
}
#eventList .event .deleteIcon:hover{
    cursor: pointer;
    top: -5px;
    width: 26px;
}
#eventList #now {
    position: relative;
    width: 100%;
    height: 4px;
    margin-top: 10px;
    background-color: var(--dark-green-logo);

}
#eventList #now::before {
    content: '';
    position: absolute;
    left: -3px;
    top: -3px;
    width: 10px;
    height: 10px;
    background-color: var(--dark-green-logo);
    transform: rotate(45deg);
}


#eventDetails {
    display: none;
    position: fixed;
    right: 5%;
    top: 0;
    width: calc(20% - 40px);
	padding: 20px;
    background-color: #F5F5F5;
    border: 1px solid #CCC;
}
#eventHeader {
    text-align: center;
    margin-bottom: 10px;
}
#eventHeader .eventTitle {
    font-size: 1.3em;
}
#eventHeader .eventDate {
    font-size: 0.8em;
    font-style: italic;
    color: #777;
    font-family: "CodeLight";
    font-weight: bold;
}
#eventDetails .player{
    margin-bottom: 5px;
    font-family: "CodeLight";
    font-weight: bold;
}
#eventDetails .player .icon{
    width: 15px;
}
#eventScorersAssisters {
    margin-bottom: 20px;
}
#eventScorersAssisters .player {
	display: flex;
	justify-content: space-between;
	margin-bottom: 10px;
}
#eventScorersAssisters .player span:last-child{
	margin-left: 5px;
}



/***** ADD ENTRY FORM *****/
.addCalendarEntry {
    position: relative;
    display: none;
    padding: 10px 20px;
    margin-bottom: 0;
    border: 1px solid #CCC;
    border-top: 0;
    background-color: #F5F5F5;
}
.addCalendarEntry:before{
    content: '';
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 10px;
    height: 100%;
}
.addCalendarEntry input {
    font-family: sans-serif;
    padding: 10px;
    height: 45px;
}
.addCalendarEntry#addOtherEvent input:first-child {
    width: 59%;
    margin-right: 1%;
}
.addCalendarEntry#addOtherEvent input:nth-child(2) {
    width: 25%;
    margin-right: 1%;
}
.addCalendarEntry#addMatch input:first-child {
    width: 38%;
    margin-right: 1%;
}
.addCalendarEntry#addMatch input:nth-child(3) {
    width: 19%;
    margin-right: 1%;
}
.addCalendarEntry#addMatch input:nth-child(4) {
    width: 13%;
    margin-right: 1%;
}
.addCalendarEntry img {
    display: inline-block;
    width: 4%;
    vertical-align: middle;
    transition: 0.2s width;
}
.addCalendarEntry img:hover {
    width: 5%;
    cursor: pointer;
}

/*** SWITCH BTN ***/
.addCalendarEntry .switch {
    position: relative;
    display: inline-block;
    width: 7%;
    height: 5px;
    margin-right: 1%;
    vertical-align: middle;
}
.addCalendarEntry span.domExt {
    position: relative;
    display: inline-block;
    width: 5%;
    margin-right: 1%;
}
.addCalendarEntry .switch input {
    opacity: 0;
    width: 0;
    height: 0;
}
.addCalendarEntry .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}
.addCalendarEntry .slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 0px;
    bottom: -7px;
    background-color: var(--green-logo);
    -webkit-transition: .4s;
    transition: .4s;
}
.addCalendarEntry input:checked + .slider:before {
    -webkit-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    transform: translateX(-100%);
    left: 100%;
}
.addCalendarEntry .slider.round {
    border-radius: 34px;
}
  
.addCalendarEntry .slider.round:before {
    border-radius: 50%;
}

/*** EVENT TYPES ***/
.entrainement:before{
    background-color: var(--light-green-logo);
    color: var(--green-logo);
    border-color: var(--green-logo);
}
.championnat:before{
    background-color: #fdbdbd;
    color: #ca0303;
    border-color: #ca0303;
}
.amical:before{
    background-color: #ffffaa;
    color: #969600;
    border-color: #969600;
}
.coupe:before{
    background-color: #ffdb9a;
    color: #734a00;
    border-color: #734a00;
}
.autre:before{
    background-color: #c4e9ff;
    color: #003656;
    border-color: #003656;
}



/*** EVENT POP IN ***/
#eventPopIn{
    display: none;
    position: fixed;
    top: 10%;
    left: 25%;
    width: 50%;
    height: 80%;
    margin: auto;
    border: 1px solid #CCC;
    background: #F5F5F5;
    color: #333;
    z-index: 2;
}


/*** POP IN MATCH TITLE ***/
#eventPopIn .matchTitle {
    width: 100%;
    text-align: center;
    margin: 20px 0 20px; 
    font-size: 1.5em;
}
#eventPopIn .matchTitle .team {
    margin: 0 10px; 
}
#eventPopIn .matchTitle input{
    width: 1.5em;
    font-size: 1.5em;
    text-align: center;
}

#eventPopIn .editIcon, #eventPopIn .closeIcon{
    position: absolute;
    width: 25px;
    top: 10px;
    transition: 0.2s;
}
#eventpopIn .editIcon {
    display: none;
    right: 45px;
}
#eventpopIn.admin .editIcon {
    display: block;
}
#eventPopIn .closeIcon {
    right: 10px;
}
#eventPopIn .editIcon:hover, #eventPopIn .closeIcon:hover{
    width: 31px;
    top: 7px;
    cursor: pointer;
}
#eventPopIn .editIcon:hover {
    right: 42px;
}
#eventPopIn .closeIcon:hover{
    right: 7px;
}


/*** WATCH MODE ***/
#eventPopIn #watchMode {
    width: 60%;
    margin: auto;
}
#eventPopIn #watchMode.hidden, #eventPopIn #editMode.hidden {
    display: none;
}
#eventPopIn #watchMode.show, #eventPopIn #editMode.show {
    display: block;
}
#eventPopIn .eventPlayersListHeader {
    background: linear-gradient(to left, var(--dark-green-logo), var(--green-logo));
    color: var(--light-green-logo);
    padding: 10px;
}
#eventPopIn .eventPlayersListHeader h3{
    font-family: "CodeBold";
    margin: 0;
}
#eventPopIn #watchMode .eventPlayersListHeader h3:nth-child(2), #eventPopIn #watchMode .eventPlayersListHeader h3:nth-child(3) {
    text-align: right;
}
#eventPopIn #watchMode .eventPlayersList{
    max-height: calc(100% - 120px);
    overflow-y: auto;
    border: 1px solid #333;
    border-bottom: 0;
}
#eventPopIn #watchMode .player{
    padding: 10px;
    border-bottom: 1px solid #333;
}
#eventPopIn #watchMode .player .playerName{
    margin-right: 10px;
}
#eventPopIn #watchMode .goalIcon, #eventPopIn #watchMode .assistIcon{
    position: relative;
    float: right;
    vertical-align: middle;
    width: 16px;
}
#eventPopIn #watchMode .goalIcon {
    right: 20%;
}
#eventPopIn #watchMode .assistIcon {
    right: 0%;
}



/*** POP IN EDIT MODE ***/
#eventPopIn #editMode{
    display: none;
    width: 90%;
    margin: auto;
}
#eventPopIn #editMode .eventPlayersBloc, #eventPopIn #editMode .otherPlayersBloc{
    display: inline-block;
    vertical-align: top;
}
#eventPopIn #editMode .eventPlayersBloc{
    width: 60%;
}
#eventPopIn #editMode .otherPlayersBloc{
    width: 38%;
    margin-right: 2%;
}
#eventPopIn #editMode .otherPlayersBloc .otherPlayersList, #eventPopIn #editMode .eventPlayersBloc .eventPlayersList {
    max-height: calc(100% - 120px - 78px);
    overflow-y: auto;
}
#eventPopIn .eventPlayersListHeader h3{
    display: inline-block;
}
#eventPopIn .eventPlayersListHeader h3:first-child{
    width: 60%;
}
#eventPopIn .eventPlayersListHeader h3:nth-child(2), #eventPopIn .eventPlayersListHeader h3:nth-child(3) {
    width: 20%;
    text-align: center;
}

#eventPopIn #editMode .player{
    padding: 10px;
    border: 1px solid #333;
    border-top: 0px;
    position: relative;
}
#eventPopIn #editMode .playerName {
    display: inline-block;
    width: 55%;
    transition: color 0.15s;
}
#eventPopIn #editMode .eventPlayersList .playerName {
    margin-left: 5%;
}
#eventPopIn #editMode .otherPlayersList .playerName {
    width: 90%;
}
#eventPopIn #editMode .playerName:hover {
    color: var(--green-logo);
    cursor: pointer;
}
#eventPopIn #editMode .playerStat {
    display: inline-block;
    width: 20%;
    text-align: center;
}
#eventPopIn #editMode .playerStat button{
    height: 20px;
    line-height: 20px;
    width: 20px;
    border: 0;
    border-radius: 50%;
    background: var(--green-logo);
    color: #F5F5F5;
    transition: filter 0.15s;
}
#eventPopIn #editMode .playerStat button:hover{
    filter: brightness(0.9);
    cursor: pointer;
}
#eventPopIn #editMode .otherPlayersList .playerStat{
    display: none;
}
#eventPopIn #editMode .otherPlayersList img.chevron{
    float: right;
    width: 20px;
    transform: rotateY(180deg);
}
#eventPopIn #editMode .eventPlayersList img.chevron {
    width: 20px;
    left: 5px;
    top: 10px;
    position: absolute;
}


#eventPopIn #validBtn {
    position: absolute;
    bottom: 20px;
    left: 40%;
    width: 20%;
    padding: 10px;
    border: 1px solid var(--green-logo);
    border-radius: 8px;
    background: var(--light-green-logo);
    color: var(--green-logo);
    font-size: 1.2em;
    transition: 0.15s;
}
#eventPopIn #validBtn:hover {
    cursor: pointer;
    filter: brightness(0.9);
}

#filter{
    display: none;
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(0,0,0,0.4);
    z-index: 1;
}



/*** PLAYERS ***/
#players {
    position: relative;
    display: none;
}
#addNewPlayer {
    width: 100%;
    border: 1px dashed var(--green-logo);
    border-radius: 8px;
    padding: 10px;
    background: var(--light-green-logo);
    font-size: 1.2em;
    color: var(--green-logo);
    transition: filter 0.15s;
}
#addNewPlayer:hover {
    filter: brightness(0.9);
    cursor: pointer;
}
#addPlayerForm{
    display: none;
}
#addPlayerForm img {
    display: inline-block;
    width: 25px;
    vertical-align: middle;
    transition: 0.2s width;
}
#addPlayerForm img:hover {
    width: 30px;
    cursor: pointer;
}
#addPlayerForm input {
    display: inline-block;
    padding: 10px;
}

#playersList {
    position: relative;
    width: 100%;
    font-size: 1.2em;
    margin-bottom: 20px;
    background: #F5F5F5;
}
#playersListHeader {
    padding: 15px;
    background: linear-gradient(to left, var(--dark-green-logo), var(--green-logo));
    color: var(--light-green-logo);
}
#playersList .player{
    padding: 15px;
    border: 1px solid var(--dark-green-logo);
    border-top: 0;
}
#playersList .player.selectedPlayer{
    background-color: rgba(0, 119, 61, 0.15);
}
#playersList .player span, #playersListHeader span{
    display: inline-block;
}
#playersList .player .playerNameInList, #playersListHeader .playerNameInList {
    width: 50%;
}
#playersList .player .playerStatInList, #playersListHeader .playerStatInList {
    width: 8%;
}
#playersListHeader .playerStatInList:hover {
    cursor: pointer;
}

.hidden {
    display: none;
}
